# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kcron (executable) ########################

tde_add_executable( kcron AUTOMOC
  SOURCES cthost.cpp ctcron.cpp ctmonth.cpp ctdom.cpp ctdow.cpp cttask.cpp
    ctvariable.cpp kticon.cpp ktapp.cpp ktview.cpp ktlistitem.cpp
    ktlistcron.cpp ktlisttask.cpp ktlisttasks.cpp ktlistvar.cpp ktlistvars.cpp
    kttask.cpp ktvariable.cpp ktprint.cpp ktprintopt.cpp main.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kcron )


##### other data ################################

install( FILES kcronui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kcron
)

install( FILES kcron.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)
